package molders

// |@@| C

import (
	"gardening/src/dat/forms"
	"gardening/src/mdl"
)

type CreateUserFormMolder struct {
}

func (this *CreateUserFormMolder) ToEntity(form *forms.CreateUserForm, entity *mdl.User) (*mdl.User, []string) {
	var changes []string
	entity.Name = form.Name
	return entity, changes
}
func (this *CreateUserFormMolder) ToForm(form *forms.CreateUserForm, entity *mdl.User) *forms.CreateUserForm {
	form.Name = entity.Name
	return form
}
